#
# spec file for package python-croniter
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-croniter
Version:        0.3.31
Release:        lp152.1.1
Summary:        Python iterators for datetime objects with cron-like format
License:        MIT
Group:          Development/Languages/Python
URL:            http://github.com/kiorky/croniter
Source:         https://files.pythonhosted.org/packages/source/c/croniter/croniter-%{version}.tar.gz
BuildRequires:  %{python_module pytest >= 3.0.3}
BuildRequires:  %{python_module python-dateutil}
BuildRequires:  %{python_module pytz}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
Requires:       python-python-dateutil
BuildArch:      noarch
%python_subpackages

%description
croniter provides iterators for datetime object with cron-like format.

%prep
%setup -q -n croniter-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest src

%files %{python_files}
%license docs/LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Sat Mar 14 2020 Dirk Mueller <dmueller@suse.com>
- update to 0.3.31:
  - Fix get_next() when start_time less then 1s before next instant
* Thu May 23 2019 pgajdos@suse.com
- version update to 0.3.30
  * credits
  * history stripping (security)
  * Handle -Sun notation
  * Handle invalid ranges correctly
* Tue Mar 26 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.3.28:
  * Update credits
* Thu Mar  7 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.3.27:
  * Handle -Sun notation
  * Handle invalid ranges correctly
  * Pypi hygiene
  * fix get_next while perserving the fix of get_prev
  * Don't count previous minute if now is dynamic If the code is triggered from 5-asterisk based cron get_prev based on datetime.now() is expected to return current cron iteration and not previous execution.
* Wed Oct 17 2018 Jan Engelhardt <jengelh@inai.de>
- Avoid name repetition in summary.
* Wed Oct 17 2018 sjamgade@suse.com
- update to 0.3.20
  - (tag: 0.3.20) Preparing release 0.3.20
  - pep8
  - Fix sao paulo timezone test.
  - remove outdated comment
  - correctly handle DST changes
  - Merge pull request #89 from kiorky/master
  - Back to development: 0.3.20
  - (tag: 0.3.19) Preparing release 0.3.19
  - fix #87: backward dst changes
  - Merge pull request #88 from kiorky/master
  - Back to development: 0.3.19
  - (tag: 0.3.18) Preparing release 0.3.18
  - Merge pull request #18 from taichino/master
  - Merge pull request #86 from otherpirate/master
  - Adding is_valid class method to readme
  - Adding class method is_valid to validate cron syntax
  - Creating base croniter error
  - Merge pull request #85 from kiorky/master
  - Back to development: 0.3.18
* Fri Aug 25 2017 tbechtold@suse.com
- update to 0.3.17:
  - DOW occurence sharp style support.
  - Better test suite
  - DST support
  - fix bug around multiple conditions and range_val in
    _get_prev_nearest_diff.
  - issue #69: added day_or option to change behavior when day-of-month and
    day-of-week is given
  - `Real fix for #34
  - `Modernize test infra
  - `Release as a universal wheel
  - `Raise ValueError on negative numbers
  - `Compare types using "issubclass" instead of exact match
  - `Implement step cron with a variable base
- convert to singlespec
* Tue Nov 15 2016 dmueller@suse.com
- update to 0.3.12
* Wed Apr 13 2016 dmueller@suse.com
- switch to python-python-dateutil
* Mon Sep 15 2014 tbechtold@suse.com
- update to version 0.3.5:
  * support for 'l' (last day of month)
* Fri Mar  7 2014 speilicke@suse.com
- Package docs/LICENSE
* Fri Mar  7 2014 speilicke@suse.com
- Fix requirement on python-dateutil (not python-python-dateutil as upstream)
* Fri Mar  7 2014 speilicke@suse.com
- Initial version
